> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a paginated list of gifts for a segment.

GET https://prod-api.raisedonors.com/api/Segment/{segmentId}/gifts

Reference: https://virtuous.ferndocs.com/reference/raise/segment/getsegmentgifts

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Path parameters

- `segmentId` (long, required) — The ID of the segment.

### Query parameters

- `Filter` (string, optional)
- `Skip` (integer, optional)
- `Take` (integer, optional)
- `SortBy` (string, optional)
- `Descending` (boolean, optional)
- `IncludeDetails` (boolean, optional)

## Response

### 200

OK

- `items` (list of SegmentGiftListModel, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `Segment_GetSegmentGiftsRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### SegmentGiftListModel

Represents a segmentgiftlist model.

- `id` (long, optional) — Gets or sets the identifier.
- `amount` (string, optional, nullable) — Gets or sets the amount.
- `date` (string, optional, nullable) — Gets or sets the date.
- `donorName` (string, optional, nullable) — Gets or sets the donor name.
- `form` (string, optional, nullable) — Gets or sets the form.
- `status` (enum, optional) — Gets or sets the status.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`
- `statusText` (string, optional, nullable) — Gets or sets the status text.
- `isAnonymous` (boolean, optional) — Gets or sets a value indicating whether anonymous.
- `isRecurring` (boolean, optional) — Gets or sets a value indicating whether recurring.
- `isDonorOrganization` (boolean, optional) — Gets or sets a value indicating whether donor organization.
- `segmentCode` (string, optional, nullable) — Gets or sets the segment code.

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 10234,
      "amount": "150.00",
      "date": "2024-05-20T15:45:00Z",
      "donorName": "Emily Johnson",
      "form": "Online Donation Form",
      "status": 1,
      "statusText": "Completed",
      "isAnonymous": false,
      "isRecurring": true,
      "isDonorOrganization": false,
      "segmentCode": "SPRING2024"
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Segment/1/gifts"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Segment/1/gifts';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Segment/1/gifts"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Segment/1/gifts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Segment/1/gifts")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-api.raisedonors.com/api/Segment/1/gifts', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Segment/1/gifts");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Segment/1/gifts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```